objectId別にマーケティングイベントを更新
curl --request PATCH \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customProperties": [
{
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId}"
payload = {
"customProperties": [
{
"isEncrypted": True,
"isLargeValue": True,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": True,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [123],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": True,
"value": "<string>"
}
],
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": True,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customProperties: [
{
isEncrypted: true,
isLargeValue: true,
name: '<string>',
persistenceTimestamp: 123,
requestId: '<string>',
selectedByUser: true,
selectedByUserTimestamp: 123,
sourceId: '<string>',
sourceLabel: '<string>',
sourceMetadata: '<string>',
sourceUpstreamDeployable: '<string>',
sourceVid: [123],
timestamp: 123,
unit: '<string>',
updatedByUserId: 123,
useTimestampAsPersistenceTimestamp: true,
value: '<string>'
}
],
endDateTime: '2023-11-07T05:31:56Z',
eventCancelled: true,
eventDescription: '<string>',
eventName: '<string>',
eventOrganizer: '<string>',
eventType: '<string>',
eventUrl: '<string>',
startDateTime: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}マーケティングイベント
Update event by HubSpot ID
objectIdで識別される既存のマーケティングイベントが存在する場合、その詳細を更新します。
PATCH
/
marketing
/
marketing-events
/
2026-03
/
{objectId}
objectId別にマーケティングイベントを更新
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
HubSpotのマーケティングイベントの内部ID。
ボディ
application/json
Show child attributes
Show child attributes
マーケティングイベントの終了日時
マーケティングイベントがキャンセルされたかどうかを示します
マーケティングイベントの説明。
マーケティングイベントの名前
マーケティングイベントの主催者の名前
マーケティングイベントのタイプ
マーケティングイベントを管理できる外部イベントアプリケーションのURL
マーケティングイベントの開始日時
レスポンス
successful operation
マーケティングイベントの作成日時
Show child attributes
Show child attributes
マーケティングイベントの名前
HubSpotのマーケティングイベントの内部ID
マーケティングイベントの更新日時
Show child attributes
Show child attributes
マーケティングイベントの終了日時
マーケティングイベントがキャンセルされたかどうかを示します
マーケティングイベントが完了したかどうかを示します
マーケティングイベントの説明。
マーケティングイベントの主催者の名前
マーケティングイベントのタイプ
マーケティングイベントを管理できる外部イベントアプリケーションのURL
マーケティングイベントの開始日時
最終更新日 2026年4月10日
⌘I